summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfce4-session
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/xfce4-session')
-rw-r--r--source/xfce/xfce4-session/use-xfss-by-default-in-xfce.patch12
-rwxr-xr-xsource/xfce/xfce4-session/xfce4-session.SlackBuild8
2 files changed, 19 insertions, 1 deletions
diff --git a/source/xfce/xfce4-session/use-xfss-by-default-in-xfce.patch b/source/xfce/xfce4-session/use-xfss-by-default-in-xfce.patch
new file mode 100644
index 000000000..ce73c10f1
--- /dev/null
+++ b/source/xfce/xfce4-session/use-xfss-by-default-in-xfce.patch
@@ -0,0 +1,12 @@
+diff -Nur xfce4-session-4.14.2.orig/settings/xfce4-session.xml xfce4-session-4.14.2/settings/xfce4-session.xml
+--- xfce4-session-4.14.2.orig/settings/xfce4-session.xml 2019-07-25 17:33:25.000000000 -0500
++++ xfce4-session-4.14.2/settings/xfce4-session.xml 2020-12-15 20:27:10.194758457 -0600
+@@ -3,7 +3,7 @@
+ <channel name="xfce4-session" version="1.0">
+ <property name="general" type="empty">
+ <property name="FailsafeSessionName" type="string" value="Failsafe"/>
+- <property name="LockCommand" type="string" value=""/>
++ <property name="LockCommand" type="string" value="/usr/bin/xfce4-screensaver-command --lock"/>
+ </property>
+ <property name="sessions" type="empty">
+ <property name="Failsafe" type="empty">
diff --git a/source/xfce/xfce4-session/xfce4-session.SlackBuild b/source/xfce/xfce4-session/xfce4-session.SlackBuild
index 51578b8e4..7a3598f3f 100755
--- a/source/xfce/xfce4-session/xfce4-session.SlackBuild
+++ b/source/xfce/xfce4-session/xfce4-session.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfce4-session
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -80,6 +80,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/use-xfss-by-default-in-xfce.patch.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -96,6 +98,10 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship the xscreensaver autostart file:
+rm -f $PKG/etc/xdg/autostart/xscreensaver.desktop
+rmdir --parents $PKG/etc/xdg/autostart/
+
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la